function res = mtimes(a,b)

% b : susceptibility map in frequency domain

if isa(a,'FKernel') == 0
    error('In  A.*B only A can be Kernel operator');
end

if a.adjoint
    res = a.B0 * a.kernel .* b;
else
    res = a.B0 * a.kernel .* b;
end

end


